def greet(name)

  if block_given?
    yield name
  else
    puts "Hello, #{name}!"
  end

end

greet "Joe" # Ausgabe: Hello, Joe!

greet( "Joe" ) { |name| puts "Nice to meet you, #{name}!" }
# Ausgabe: Nice to meet you, Joe!
