# Bei den konstanten Typen copy
a = 42
b = a
b -= 1
a

# Strings
a = "Hello World!"
b = a
b[1] = "x"
a # auch anders
a[0..4]
a[-1..-6]

# Symbole
"a".object_id
"a".object_id
:a.object_id
:a.object_id

# Automatische Typanpassung bei Fixnum
a = 2**32
a.class
a **= 32
a.class

# Mehrfachzuweisung
a, b = 1, 2
a, b = b, a
a = b = c = 0

# Arraykram
a = [1, 2, 3, 4, 5]

a[0]
a.first

a.last
a[-1]

# Einfuegen mit Luecke
a[10] = "foo"
a.compact!

# Loeschen
a = [1, 2, 2, 3, 4]
a.delete(2)
a.delete_at(1)

# join
a.join(", ")

# slice
a[1..2] # => [2, 3]
a[3..-1] # => [4, 5]

# Mengenoperationen
a = [1, 2, 3]
b = [3, 4, 5, 6]
c = a + b
c - a

# Stack-Funktionalitaet
a = []
a.push 1
a.push 2
a.push 3
a.push 4
a.pop
a.pop 2

# Hash
h = { a: 1, b: 2, c: 3 }

h.has_key? :a
h[:a]
h[:foo]
h[:a] = 42

h.to_a
h.keys
h.values
